#include <iostream>

using namespace std;

int main()
{
    int des=1,x,y,konacno=0;
    cin>>x>>y;
    while(x!=0||y!=0)
    {
        if(x%10>y%10)
            konacno+=des*(x%10);
        else if(x%10<y%10)
            konacno+=des*(y%10);
        else
        {
            if(x!=0&&y!=0)
            {
                konacno+=des*(x%10);
                des*=10;
                konacno+=des*(y%10);
            }
            else
                konacno+=des*(x%10);
        }
        des*=10;
        x/=10;
        y/=10;
    }
    cout<<konacno;
}